<?php

namespace FireDrum;

if ( !defined( 'ABSPATH' ) ) {
	die();
}

?>
( function($) {
	function retrieve_modal_forms(retry_count) {
		$.ajax( '<?php echo $this->ajax_url; ?>', {
			method: 'POST',
			data: {
				action: '<?php echo self::$branding; ?>_get_modal_forms'
			},
			success: function(data, textStatus, jqXHR) {
				if ( data.forms ) {
					$( function() {
						initialize_modal_forms( data.forms, $( '#<?php echo self::$branding; ?>_modal_template' ).html() );
					} );
				}
			},
			error: function(jqXHR, textStatus, errorThrown) {
				if ( --retry_count >= 0) {
					retrieve_modal_forms( retry_count );
				} else {
					initialization_complete();
				}
			}
		} );
	}

	function initialize_modal_forms(forms, template) {
		for ( var i = 0; i < forms.length; i++ ) {
			var form = forms[i];
			if ( typeof $.cookie( '<?php echo self::$branding; ?>_modal_' + form.id ) === 'undefined' ) {
				switch ( form.location ) {
					case 'everywhere':
						initialize_modal_form( form, $( template ) );
						break;
					case 'woocommerce':
						if ( $( document.body ).hasClass( 'woocommerce' ) ) {
							initialize_modal_form( form, $( template ) );
						}
						break;
				}
			}
		}

		initialization_complete();
	}

	function initialize_modal_form(form, $template) {
		$( $template[0] ).attr( {
			'id': '<?php echo self::$branding; ?>_modal_form_' + form.id,
			'data-modal-id': form.id
		} ).append( form.content );

		$( document.body ).append( $template );

		switch ( form.trigger ) {
			case 'immediately':
				open_modal( form.id );
				break;
			case 'delayed':
				setTimeout( open_modal.bind( undefined, form.id ), form.trigger_delay * 1000 );
				break;
			case 'exit-intent':
				$( document ).on( 'mouseleave', exit_intent_handler.bind( undefined, form.id ) );
				break;
			default:
				break;
		}
	}

	function exit_intent_handler(formID, event) {
		if ( event.clientY < 0 ) {
			open_modal( formID );
		}
	}

	function open_modal(formID) {
		$.magnificPopup.open( {
			items: {
				src: '#<?php echo self::$branding; ?>_modal_form_' + formID,
				type: 'inline'
			},
			callbacks: {
				close: function() {
					$.cookie( '<?php echo self::$branding; ?>_modal_' + $( '.<?php echo self::$branding; ?>_modal', $.magnificPopup.instance.st.mainEl ).data( 'modal-id' ), '1', {
						expires: 7,
						path: '/'
					} );
				}
			}
		} );
	}

	function initialization_complete() {
		$( document.body ).trigger( '<?php echo self::$branding; ?>:modals_initialized' );
	}

	retrieve_modal_forms( 3 );
} )( jQuery );
