<?php

namespace FireDrum;

if ( !defined( 'ABSPATH' ) ) {
	die();
}

?>
<table class="widefat">
	<tr>
		<th scope="row" colspan="2"><strong><?php esc_html_e( 'General Information', self::$textdomain ); ?></strong></th>
	</tr>
	<tr>
		<th scope="row"><label><?php esc_html_e( 'Type', self::$textdomain ); ?>:</label></th>
		<td>
			<select id="<?php echo self::$branding; ?>_form_type" name="<?php echo self::$branding; ?>_form_type"><?php
	$form_types = $this->get_form_types();
	foreach ( $form_types as $form_type ) {
?>
				<option<?php echo $form_options['type'] === $form_type ? ' selected' : ''; ?>><?php echo $form_type; ?></option><?php
	}
?>
			</select>
		</td>
	</tr>
	<tr class="<?php echo self::$branding; ?>_modal_options"<?php echo $form_options['type'] != 'Modal' ? ' style="display:none"' : ''; ?>>
		<th scope="row"><label><?php esc_html_e( 'Location', self::$textdomain ); ?>:</label></th>
		<td>
			<select name="<?php echo self::$branding; ?>_form_location" id="<?php echo self::$branding; ?>_form_location"><?php
	$locations = $this->get_form_locations();
	foreach ( $locations as $location_value => $location_label ) {
?>
				<option value="<?php esc_attr_e( $location_value ); ?>"<?php echo $form_options['location'] === $location_value ? ' selected' : ''; ?>><?php esc_html_e( $location_label ); ?></option><?php
	}
?>
			</select>
		</td>
	</tr>
	<tr class="<?php echo self::$branding; ?>_modal_options"<?php echo $form_options['type'] != 'Modal' ? ' style="display:none"' : ''; ?>>
		<th scope="row"><label><?php esc_html_e( 'Trigger', self::$textdomain ); ?>:</label></th>
		<td>
			<select name="<?php echo self::$branding; ?>_form_trigger" id="<?php echo self::$branding; ?>_form_trigger">
				<option value="immediately"<?php echo $form_options['trigger'] === 'immediately' ? ' selected' : ''; ?>><?php esc_html_e( 'Immediately', self::$textdomain ); ?></option>
				<option value="delayed"<?php echo $form_options['trigger'] === 'delayed' ? ' selected' : ''; ?>><?php esc_html_e( 'After a delay', self::$textdomain ); ?></option>
				<option value="exit-intent"<?php echo $form_options['trigger'] === 'exit-intent' ? ' selected' : ''; ?>><?php esc_html_e( 'With exit intent', self::$textdomain ); ?></option>
			</select>
		</td>
	</tr>
	<tr class="<?php echo self::$branding; ?>_form_trigger_delay"<?php echo $form_options['type'] != 'Modal' || $form_options['trigger'] != 'delayed' ? ' style="display:none"' : ''; ?>>
		<th scope="row"><label><?php esc_html_e( 'Delay', self::$textdomain ); ?>:</label></th>
		<td>
			<select id="<?php echo self::$branding; ?>_form_trigger_delay" name="<?php echo self::$branding; ?>_form_trigger_delay"><?php
	for( $k = 1; $k < 60; $k++ ) {
?>
				<option value="<?php echo $k; ?>"<?php echo $form_options['trigger_delay'] === strval( $k ) ? ' selected' : ''; ?>><?php echo $k; ?> <?php esc_html_e( 'seconds', self::$textdomain ); ?></option><?php
	}
?>
			</select>
		</td>
	</tr>
	<tr>
		<th scope="row"><label><?php esc_html_e( 'Lists Display Mode', self::$textdomain ); ?></label></th>
		<td>
			<select name="<?php echo self::$branding; ?>_form_lists_use_checkboxes" id="<?php echo self::$branding; ?>_form_lists_use_checkboxes">
				<option value="Y"<?php echo $form_options['lists_use_checkboxes'] !== 'N' ? ' selected' : '' ?>><?php esc_html_e( 'Show Checkboxes', self::$textdomain ); ?></option>
				<option value="N"<?php echo $form_options['lists_use_checkboxes'] === 'N' ? ' selected' : '' ?>><?php esc_html_e( 'Hide Lists', self::$textdomain ); ?></option>
			</select>
		</td>
	</tr>
	<tr>
		<th scope="row"><?php esc_html_e( 'Enable Anti-Spam Honeypot', self::$textdomain ); ?>:</th>
		<td><input name="<?php echo self::$branding; ?>_form_honeypot" type="checkbox" id="<?php echo self::$branding; ?>_form_honeypot" class="code" value="Y"<?php echo $form_options['honeypot'] == 'Y' ? ' checked' : ''; ?>></td>
	</tr>
	<tr>
		<th scope="row"><?php esc_html_e( 'Enable Signup Notification Emails', self::$textdomain ); ?>:</th>
		<td><input name="<?php echo self::$branding; ?>_form_signup_notification" type="checkbox" id="<?php echo self::$branding; ?>_form_signup_notification" class="code" value="Y"<?php echo $form_options['signup_notification'] == 'Y' ? ' checked' : ''; ?>></td>
	</tr>
	<tr>
		<th scope="row"><?php esc_html_e( 'Display a "powered by ' . self::$menu_branding . '" link on your form', self::$textdomain ); ?>:</th>
		<td><input name="<?php echo self::$branding; ?>_form_poweredby" type="checkbox" id="<?php echo self::$branding; ?>_form_poweredby" class="code" value="Y"<?php echo $form_options['poweredby'] == 'Y' ? ' checked' : '' ?>></td>
	</tr>
</table>
<br>
<table class="widefat">
	<tr>
		<th scope="row" colspan="2"><strong><?php esc_html_e( 'Form Fields', self::$textdomain ); ?></strong></th>
	</tr>
	<tr>
		<th scope="row"><?php esc_html_e( 'First Name', self::$textdomain ); ?>:</th>
		<td><input id="<?php echo self::$branding; ?>_form_field_fname" class="code" name="<?php echo self::$branding; ?>_form_field_fname" value="1" type="checkbox"<?php echo $form_options['field_fname'] == '1' ? ' checked' : ''; ?>></td>
	</tr>
	<tr>
		<th scope="row"><?php esc_html_e( 'Last Name', self::$textdomain ); ?>:</th>
		<td><input id="<?php echo self::$branding; ?>_form_field_lname" class="code" name="<?php echo self::$branding; ?>_form_field_lname" value="1" type="checkbox"<?php echo $form_options['field_lname'] == '1' ? ' checked' : ''; ?>></td>
	</tr>
	<tr>
		<th scope="row"><?php esc_html_e( 'Email', self::$textdomain ); ?>*:</th>
		<td><input id="<?php echo self::$branding; ?>_form_field_email" class="code" name="<?php echo self::$branding; ?>_form_field_email" type="checkbox" checked disabled></td>
	</tr>
	<tr>
		<th scope="row"><?php esc_html_e( 'Company', self::$textdomain ); ?>:</th>
		<td><input id="<?php echo self::$branding; ?>_form_field_company" class="code" name="<?php echo self::$branding; ?>_form_field_company" value="1" type="checkbox"<?php echo $form_options['field_company'] == '1' ? ' checked' : ''; ?>></td>
	</tr>
	<tr>
		<th scope="row"><?php esc_html_e( 'Address', self::$textdomain ); ?>:</th>
		<td><input id="<?php echo self::$branding; ?>_form_field_address" class="code" name="<?php echo self::$branding; ?>_form_field_address" value="1" type="checkbox"<?php echo $form_options['field_address'] == '1' ? ' checked' : ''; ?>></td>
	</tr>
	<tr>
		<th scope="row"><?php esc_html_e( 'Address 2', self::$textdomain ); ?>:</th>
		<td><input id="<?php echo self::$branding; ?>_form_field_address2" class="code" name="<?php echo self::$branding; ?>_form_field_address2" value="1" type="checkbox"<?php echo $form_options['field_address2'] == '1' ? ' checked' : ''; ?>></td>
	</tr>
	<tr>
		<th scope="row"><?php esc_html_e( 'City', self::$textdomain ); ?>:</th>
		<td><input id="<?php echo self::$branding; ?>_form_field_city" class="code" name="<?php echo self::$branding; ?>_form_field_city" value="1" type="checkbox"<?php echo $form_options['field_city'] == '1' ? ' checked' : ''; ?>></td>
	</tr>
	<tr>
		<th scope="row"><?php esc_html_e( 'State', self::$textdomain ); ?>:</th>
		<td><input id="<?php echo self::$branding; ?>_form_field_state" class="code" name="<?php echo self::$branding; ?>_form_field_state" value="1" type="checkbox"<?php echo $form_options['field_state'] == '1' ? ' checked' : ''; ?>></td>
	</tr>
	<tr>
		<th scope="row"><?php esc_html_e( 'Postal Code', self::$textdomain ); ?>:</th>
		<td><input id="<?php echo self::$branding; ?>_form_field_zip" class="code" name="<?php echo self::$branding; ?>_form_field_zip" value="1" type="checkbox"<?php echo $form_options['field_zip'] == '1' ? ' checked' : ''; ?>></td>
	</tr>
	<tr>
		<th scope="row"><?php esc_html_e( 'Phone', self::$textdomain ); ?>:</th>
		<td><input id="<?php echo self::$branding; ?>_form_field_phone" class="code" name="<?php echo self::$branding; ?>_form_field_phone" value="1" type="checkbox"<?php echo $form_options['field_phone'] == '1' ? ' checked' : ''; ?>></td>
	</tr>
	<tr>
		<th scope="row"><?php esc_html_e( 'Mobile', self::$textdomain ); ?>:</th>
		<td><input id="<?php echo self::$branding; ?>_form_field_mphone" class="code" name="<?php echo self::$branding; ?>_form_field_mphone" value="1" type="checkbox"<?php echo $form_options['field_mphone'] == '1' ? ' checked' : ''; ?>></td>
	</tr>
	<tr>
		<th scope="row"><?php esc_html_e( 'Fax', self::$textdomain ); ?>:</th>
		<td><input id="<?php echo self::$branding; ?>_form_field_fax" class="code" name="<?php echo self::$branding; ?>_form_field_fax" value="1" type="checkbox"<?php echo $form_options['field_fax'] == '1' ? ' checked' : ''; ?>></td>
	</tr>
	<tr>
		<th scope="row"><?php esc_html_e( 'Gender', self::$textdomain ); ?>:</th>
		<td><input id="<?php echo self::$branding; ?>_form_field_gender" class="code" name="<?php echo self::$branding; ?>_form_field_gender" value="1" type="checkbox"<?php echo $form_options['field_gender'] == '1' ? ' checked' : ''; ?>></td>
	</tr>
	<tr>
		<th scope="row"><?php esc_html_e( 'Birthday', self::$textdomain ); ?>:</th>
		<td><input id="<?php echo self::$branding; ?>_form_field_bday" class="code" name="<?php echo self::$branding; ?>_form_field_bday" value="1" type="checkbox"<?php echo $form_options['field_bday'] == '1' ? ' checked' : ''; ?>></td>
	</tr>
	<tr>
		<th scope="row"><?php esc_html_e( 'Anniversary', self::$textdomain ); ?>:</th>
		<td><input id="<?php echo self::$branding; ?>_form_field_annv" class="code" name="<?php echo self::$branding; ?>_form_field_annv" value="1" type="checkbox"<?php echo $form_options['field_annv'] == '1' ? ' checked' : ''; ?>></td>
	</tr>
</table>
<br>
<table class="widefat">
	<tr>
		<th scope="row" colspan="2"><strong><?php esc_html_e( 'Custom Fields', self::$textdomain ); ?></strong></th>
	</tr><?php
	$custom_fields = $this->api->get_custom_fields_from_api();
	if ( isset( $custom_fields['customFields'] ) && is_array( $custom_fields['customFields'] ) && !empty( $custom_fields['customFields'] ) ) {
		foreach ( $custom_fields['customFields'] as $custom_field ) {
?>
	<tr>
		<th scope="row"><label><?php echo $custom_field['name']; ?></label></th>
		<td><input type="checkbox" name="<?php echo self::$branding; ?>_form_custom_fields[]" value="<?php echo $custom_field['id']; ?>"<?php echo in_array( $custom_field['id'], $form_options['custom_fields'] ) ? ' checked' : ''; ?>></td>
	</tr><?php
		}
	} else {
?>
	<tr>
		<th scope="row" colspan="2"><strong><?php esc_html_e( 'No Custom Fields Found', self::$textdomain ); ?></strong></th>
	</tr><?php
	}
?>
</table>
<br>
<table class="widefat">
	<tr>
		<th scope="row" colspan="2"><strong><?php esc_html_e( 'Lists', self::$textdomain ); ?></strong></th>
	</tr><?php
	$categories = $this->api->get_categories_from_api();
	if ( isset( $categories['categories'] ) && is_array( $categories['categories'] ) && !empty( $categories['categories'] ) ) {
		foreach ( $categories['categories'] as $category ) {
?>
	<tr>
		<th scope="row"><label><?php echo $category['name']; ?></label></th>
		<td><input type="checkbox" name="<?php echo self::$branding; ?>_form_lists[]" value="<?php echo $category['id']; ?>"<?php echo in_array( $category['id'], $form_options['lists'] ) ? ' checked' : ''; ?>></td>
	</tr><?php
		}
	} else {
?>
	<tr>
		<th scope="row" colspan="2"><strong><?php esc_html_e( 'No Lists Found', self::$textdomain ); ?></strong></th>
	</tr><?php
	}
?>
</table>
<br>
<table class="widefat">
	<tr>
		<th scope="row" colspan="2"><strong><?php esc_html_e( 'Styling', self::$textdomain ); ?></strong></th>
	</tr>
	<tr>
		<th scope="row"><?php esc_html_e( 'Header content', self::$textdomain ); ?>:</th>
		<td><textarea name="<?php echo self::$branding; ?>_form_header_content" rows="2" cols="50"><?php echo esc_html( $form_options['header_content'] ); ?></textarea></td>
	</tr>
	<tr>
		<th scope="row"><?php esc_html_e( 'Sub-Header content', self::$textdomain ); ?>:</th>
		<td><textarea name="<?php echo self::$branding; ?>_form_subheader_content" rows="2" cols="50"><?php echo esc_html( $form_options['subheader_content'] ); ?></textarea></td>
	</tr>
	<tr>
		<th scope="row"><?php esc_html_e( 'Submit Button Text', self::$textdomain ); ?>:</th>
		<td><input type="text" name="<?php echo self::$branding; ?>_form_submit_text" size="30" value="<?php echo esc_attr( $form_options['submit_text'] ); ?>"></td>
	</tr>
	<tr>
		<th scope="row"><?php esc_html_e( 'Enable Form Border', self::$textdomain ); ?>:</th>
		<td><input name="<?php echo self::$branding; ?>_form_border" type="checkbox" id="<?php echo self::$branding; ?>_form_border" class="code" value="Y"<?php echo $form_options['border'] == 'Y' ? ' checked' : '' ?>></td>
	</tr>
	<tr class="<?php echo self::$branding; ?>_form_border_options"<?php echo $form_options['border'] != 'Y' ? ' style="display:none"' : '' ?>>
		<th scope="row"><?php esc_html_e( 'Form Border', self::$textdomain ); ?>:</th>
		<td><input type="text" name="<?php echo self::$branding; ?>_form_border_color" id="<?php echo self::$branding; ?>_form_border_color" class="<?php echo self::$branding; ?>_form_border_color" size="30" disabled value="<?php echo esc_attr( $form_options['border_color'] ); ?>"></td>
	</tr>
	<tr>
		<th scope="row"><?php esc_html_e( 'Enable Custom Styling', self::$textdomain ); ?>:</th>
		<td><input name="<?php echo self::$branding; ?>_form_styling" type="checkbox" id="<?php echo self::$branding; ?>_form_styling" class="code" value="Y"<?php echo $form_options['styling'] == 'Y' ? ' checked' : '' ?>></td>
	</tr>
	<tr class="<?php echo self::$branding; ?>_form_styling_options"<?php echo $form_options['styling'] != 'Y' ? ' style="display:none"' : '' ?>>
		<th scope="row"><?php esc_html_e( 'Form Background Color', self::$textdomain ); ?>:</th>
		<td><input type="text" id="<?php echo self::$branding; ?>_form_background_color" class="<?php echo self::$branding; ?>_form_background_color" name="<?php echo self::$branding; ?>_form_background_color" size="30" disabled value="<?php echo esc_attr( $form_options['background_color'] ); ?>"></td>
	</tr>
	<tr class="<?php echo self::$branding; ?>_form_styling_options"<?php echo $form_options['styling'] != 'Y' ? ' style="display:none"' : '' ?>>
		<th scope="row"><?php esc_html_e( 'Text Color', self::$textdomain ); ?>:</th>
		<td><input type="text" id="<?php echo self::$branding; ?>_form_text_color" name="<?php echo self::$branding; ?>_form_text_color" class="<?php echo self::$branding; ?>_form_text_color" disabled size="30" value="<?php echo esc_attr( $form_options['text_color'] ); ?>"></td>
	</tr>
	<tr class="<?php echo self::$branding; ?>_form_styling_options"<?php echo $form_options['styling'] != 'Y' ? ' style="display:none"' : '' ?>>
		<th scope="row"><?php esc_html_e( 'Text Size', self::$textdomain ); ?>:</th>
		<td><input type="text" id="<?php echo self::$branding; ?>_form_text_size" name="<?php echo self::$branding; ?>_form_text_size" disabled size="30" value="<?php echo esc_attr( $form_options['text_size'] ); ?>"></td>
	</tr>
	<tr class="<?php echo self::$branding; ?>_form_styling_options"<?php echo $form_options['styling'] != 'Y' ? ' style="display:none"' : '' ?>>
		<th scope="row"><?php esc_html_e( 'Text Font', self::$textdomain ); ?>:</th>
		<td>
			<select name="<?php echo self::$branding; ?>_form_text_font" id="<?php echo self::$branding; ?>_form_text_font" disabled>
				<option value="Arial"<?php echo $form_options['text_font'] === 'Arial' ? 'selected' : ''; ?>><?php esc_html_e( 'Arial', self::$textdomain ); ?></option>
				<option value="Courier"<?php echo $form_options['text_font'] === 'Courier' ? 'selected' : ''; ?>><?php esc_html_e( 'Courier', self::$textdomain ); ?></option>
				<option value="Georgia"<?php echo $form_options['text_font'] === 'Georgia' ? 'selected' : ''; ?>><?php esc_html_e( 'Georgia', self::$textdomain ); ?></option>
				<option value="Helvetica"<?php echo $form_options['text_font'] === 'Helvetica' ? 'selected' : ''; ?>><?php esc_html_e( 'Helvetica', self::$textdomain ); ?></option>
				<option value="Verdana"<?php echo $form_options['text_font'] === 'Verdana' ? 'selected' : ''; ?>><?php esc_html_e( 'Verdana', self::$textdomain ); ?></option>
			</select>
		</td>
	</tr>
</table>
